## sparsefile

#### OS/161 Reference Manual

### Name

sparsefile - generate a sparse file

### Synopsis

`/testbin/sparsefile` filename size

### Description

`sparsefile` generates a sparse file (a file where most of the file is unallocated space) of the requested size by writing one byte to the end of it. The resulting file should use one block for data, and depending on the size (and the file system implementation) some small number of blocks for metadata.

### Requirements

`sparsefile` uses the following system calls:

- open
- lseek
- write
- close
- _exit

`sparsefile` will work once you have implemented the basic system calls, but will be most useful when working on the file system.